summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/msgbox2
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/msgbox2')
-rwxr-xr-xcontrib/dialog/samples/msgbox234
1 files changed, 34 insertions, 0 deletions
diff --git a/contrib/dialog/samples/msgbox2 b/contrib/dialog/samples/msgbox2
new file mode 100755
index 0000000..b39f65a
--- /dev/null
+++ b/contrib/dialog/samples/msgbox2
@@ -0,0 +1,34 @@
+#!/bin/sh
+# $Id: msgbox2,v 1.7 2010/01/13 10:26:52 tom Exp $
+
+. ./setup-vars
+
+$DIALOG --title "MESSAGE BOX" --trim "$@" \
+ --msgbox "Hi, this is a simple message box. You can use this to
+ display any message you like. The box will remain until
+ you press the ENTER key. This box is being displayed
+ with dialogs default aspect ratio of 9." 0 0
+test $? = $DIALOG_ESC && exit
+
+$DIALOG --aspect 12 --title "MESSAGE BOX aspect=12" --trim "$@" \
+ --msgbox "Hi, this is a simple message box. You can use this to
+ display any message you like. The box will remain until
+ you press the ENTER key. This box is being displayed
+ with an aspect ratio of 12." 0 0
+test $? = $DIALOG_ESC && exit
+
+$DIALOG --aspect 6 --title "MESSAGE BOX aspect=6" --trim "$@" \
+ --msgbox "Hi, this is a simple message box. You can use this to
+ display any message you like. The box will remain until
+ you press the ENTER key. This box is being displayed
+ with an aspect ratio of 6." 0 0
+test $? = $DIALOG_ESC && exit
+
+$DIALOG --aspect 6 --cr-wrap --title "MESSAGE BOX aspect=6 with --cr-wrap" \
+ --trim --msgbox " "$@" \
+ Hi, this is a simple
+ message box. You can
+ use this to display any
+ message you like.
+The box will remain until you press the ENTER key. This box is being displayed with an aspect ratio of 6, and using --cr-wrap.\n" 0 0
+test $? = $DIALOG_ESC && exit
OpenPOWER on IntegriCloud